/**
 *  File Name  = axCustomInputParameters.java
 *  Class Name = axCustomInputParameters
 *
 *  Copyright 1999-2004, Etasoft Inc.
 *  All rights are reserved. Reproduction in whole or part is prohibited
 *  without the written consent of the copyright owner.
 *
 *  @author tv.
 *  @date Monday, February 7, 2005
 */

package com.etasoft.trans.io;

import com.etasoft.trans.transaction.axInputParameters;

/**
 * Input parameters, wrapper based on axInputParameters.
 */
public class axCustomInputParameters extends axInputParameters {
    StringBuffer m_buff = new StringBuffer();
    
    public axCustomInputParameters() {
                
    }

    /**
     * Append data to the internal buffer.
     */
    public void appendData(char[] cbuf) {
        m_buff.append(cbuf); 
    }

    /**
     * Get data back once map finished processing.
     */
    public StringBuffer getData() {
        return m_buff;
    }
    
}

